Bug 42523

Summary: Web Inspector: the bindings generation helper script can be simplified a bit. Chromium.
Product: WebKit Reporter: Ilya Tikhonovsky <loislo>
Component: Web Inspector (Deprecated)Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, bweinstein, eric, joepeck, keishi, pfeldman, pmuellr, rik, webkit.review.bot, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 42658    
Bug Blocks:    
Attachments:
Description Flags
[patch] initial version.
pfeldman: review-
[patch] second iteration yurys: review+

Description Ilya Tikhonovsky 2010-07-18 13:22:20 PDT
rule_binding.py does move operation for header files generated by CodeGeneratorV8.
It is a bit strange because its much easier to generate headers in the right folder by CodeGenerator itself.
Comment 1 Ilya Tikhonovsky 2010-07-18 13:25:04 PDT
Created attachment 61909 [details]
[patch] initial version.
Comment 2 Pavel Feldman 2010-07-18 13:33:35 PDT
Comment on attachment 61909 [details]
[patch] initial version.

A bunch of nits to fix.

WebCore/WebCore.gyp/scripts/rule_binding.py:124
 +      command.extend(['--outputHDir', hdir])
Here and below outputHeadersDir

WebCore/WebCore.gyp/scripts/rule_binding.py: 
 +      # Both the .cpp and .h were generated in cppdir, but if hdir is different,
Can you avoid changing this behavior?

WebCore/bindings/scripts/CodeGenerator.pm:112
 +      $codeGenerator = $ifaceName->new($object, $useOutputDir, $useLayerOnTop, $preprocessor, $writeDependencies, $verbose, $useOutputHDir);
I'd keep useOutputDir and useOutputHeadersDir next to each other.

WebCore/inspector/CodeGeneratorInspector.pm:282
 +      open(my $HEADER, ">$outputHDir/$frontendClassName.h") || die "Couldn't open file $outputDir/$frontendClassName.h";
print HeadersDir, not Dir in the message.
Comment 3 Ilya Tikhonovsky 2010-07-18 14:11:58 PDT
Created attachment 61912 [details]
[patch] second iteration
Comment 4 Yury Semikhatsky 2010-07-18 22:57:01 PDT
Comment on attachment 61912 [details]
[patch] second iteration

WebCore/ChangeLog:5
 +          WebInspector: Web Inspector: the bindings generation helper script can be
WebInspector: Web Inspector: ->  Web Inspector:
Comment 5 WebKit Review Bot 2010-07-20 12:33:27 PDT
http://trac.webkit.org/changeset/63764 might have broken Chromium Linux Release
The following changes are on the blame list:
http://trac.webkit.org/changeset/63761
http://trac.webkit.org/changeset/63764
Comment 6 Ilya Tikhonovsky 2010-07-21 00:37:36 PDT
Committed r63803
	M	WebCore/ChangeLog
	M	WebCore/WebCore.gyp/WebCore.gyp
	M	WebCore/WebCore.gyp/scripts/rule_binding.py
	M	WebCore/bindings/scripts/CodeGeneratorCPP.pm
	M	WebCore/bindings/scripts/generate-bindings.pl
	M	WebCore/bindings/scripts/CodeGeneratorJS.pm
	M	WebCore/bindings/scripts/CodeGeneratorObjC.pm
	M	WebCore/bindings/scripts/CodeGeneratorV8.pm
	M	WebCore/bindings/scripts/CodeGenerator.pm
	M	WebCore/inspector/CodeGeneratorInspector.pm
r63803 = f77b355757ca7fcdb5f175d980dca7784f35debc (refs/remotes/trunk)